searchNodes=[{"doc":"Provides some helpers functions to calculate the distance between two points on Earth using the Haversine formula. Also can find the bearing between two points, and get a point at a given distance and bearing from a given point.","ref":"HaversineEx.html","title":"HaversineEx","type":"module"},{"doc":"Calculates the distance between all the points in the given list. The result is returned in the given unit (miles, meters, km). Examples iex&gt; HaversineEx . distance ( [ ...&gt; % HaversineEx.Point { lat : 40.7767644 , lng : - 73.9761399 } , ...&gt; % HaversineEx.Point { lat : 40.773987 , lng : - 73.971769 } , ...&gt; % HaversineEx.Point { lat : 40.771209 , lng : - 73.9673991 } ...&gt; ] , :miles ) 0.597116937109039","ref":"HaversineEx.html#distance/2","title":"HaversineEx.distance/2","type":"function"},{"doc":"Calculates the distance between two points on Earth using the Haversine formula. The result is returned in the given unit (miles, meters, km). Examples iex&gt; HaversineEx . distance ( % HaversineEx.Point { lat : 40.7767644 , lng : - 73.9761399 } , % HaversineEx.Point { lat : 40.771209 , lng : - 73.9673991 } , :miles ) 0.5971169354600706","ref":"HaversineEx.html#distance/3","title":"HaversineEx.distance/3","type":"function"},{"doc":"Calculates the bearing between two points. Examples iex&gt; HaversineEx . find_bearing ( % HaversineEx.Point { lat : 40.7767644 , lng : - 73.9761399 } , % HaversineEx.Point { lat : 40.771209 , lng : - 73.9673991 } ) 130.0028272356484","ref":"HaversineEx.html#find_bearing/2","title":"HaversineEx.find_bearing/2","type":"function"},{"doc":"Calculates a point at a given distance and bearing from a given point. The distance is given in the given unit (miles, meters, km). Examples iex&gt; HaversineEx . find_point ( % HaversineEx.Point { lat : 40.7767644 , lng : - 73.9761399 } , 0.597117 , 130.002827 , :miles ) % HaversineEx.Point { lat : 40.77120899942672 , lng : - 73.96739909902514 }","ref":"HaversineEx.html#find_point/4","title":"HaversineEx.find_point/4","type":"function"},{"doc":"Provides Point struct to be used on HaversineEx. It also provides some helper functions to convert from degrees to radians and viceversa.","ref":"HaversineEx.Point.html","title":"HaversineEx.Point","type":"module"},{"doc":"Converts a point from degrees to radians. Examples iex&gt; HaversineEx.Point . deg2rad ( % HaversineEx.Point { lat : 40.771209 , lng : - 73.9673991 } ) % HaversineEx.Point { lat : 0.7115918 , lng : - 1.290975 }","ref":"HaversineEx.Point.html#deg2rad/1","title":"HaversineEx.Point.deg2rad/1","type":"function"},{"doc":"Converts a point from radians to degrees. Examples iex&gt; HaversineEx.Point . rad2deg ( % HaversineEx.Point { lat : 0.7115918 , lng : - 1.290975 } ) % HaversineEx.Point { lat : 40.771209 , lng : - 73.9673991 }","ref":"HaversineEx.Point.html#rad2deg/1","title":"HaversineEx.Point.rad2deg/1","type":"function"},{"doc":"","ref":"HaversineEx.Point.html#t:t/0","title":"HaversineEx.Point.t/0","type":"type"},{"doc":"","ref":"HaversineEx.Point.html#t:t/2","title":"HaversineEx.Point.t/2","type":"type"}]